# $Revision: 1.26.2.1 $, $Date: 2007/03/09 14:42:41 $
#
# Conditional build:
%bcond_without	javascript	# don't use javascript interpreter
%bcond_without	graphics	# don't use graphics
%bcond_without	svga		# compile without svgalib graphics driver
%bcond_without	directfb	# compile without DirectFB support
%bcond_without	x		# compile without X Window System graphics driver
%bcond_without	fb		# compile without Linux Framebuffer graphics driver
%bcond_without	pmshell		# compile without PMShell graphics driver
%bcond_without	atheos		# compile without Atheos graphics driver
#
Summary:	Lynx-like WWW browser
Summary(es):	El links es un browser para modo texto, similar a lynx
Summary(pl):	Podobna do Lynksa przegldarka WWW
Summary(pt_BR):	O links  um browser para modo texto, similar ao lynx
Summary(ru):	 WWW   Lynx
Summary(uk):	 WWW   Lynx
Name:		links-hacked
Version:	031220
Release:	7
License:	GPL v2
Group:		Applications/Networking
Source0:	http://xray.sai.msu.ru/~karpov/links-hacked/downloads/%{name}-%{version}.tgz
# Source0-md5:	402d9490638b0e158d6122bd5bb830f2
Source1:	http://xray.sai.msu.ru/~karpov/links-hacked/downloads/links-fonts-new.tgz
# Source1-md5:	1176ee9132c9df8c1ec955e28bff6f5b
Source2:	%{name}.desktop
Source3:	linksh.png
Patch0:		%{name}-js-Date-getTime.patch
Patch1:		%{name}-js-submit-nodefer.patch
Patch2:		%{name}-etc_dir.patch
Patch3:		%{name}-ac25x.patch
Patch4:		%{name}-suffix.patch
Patch5:		%{name}-gcc34.patch
Patch6:		%{name}-en-fix.patch
Patch7:		%{name}-pl-update.patch
URL:		http://xray.sai.msu.ru/~karpov/links-hacked/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
%if %{with graphics}
%{?with_directfb:BuildRequires:	DirectFB-devel}
%{?with_x:BuildRequires:	XFree86-devel}
%{?with_javascript:BuildRequires:	bison}
%{?with_javascript:BuildRequires:	flex}
BuildRequires:	freetype-devel
BuildRequires:	libpng-devel >= 2:1.2.7-2
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
%{?with_svga:BuildRequires:	svgalib-devel}
Requires:	libpng >= 2:1.2.7-2
%endif
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Links is a WWW browser, at first look similiar to Lynx, but somehow
different:

- renders tables and frames,
- displays colors as specified in current HTML page,
- uses drop-down menu (like in Midnight Commander),
- can download files in background.

%{?with_graphics:This version can work in graphical mode.}
%{?with_javascript:This version has support for JavaScript.}

Links-hacked is based on links2 and elinks.

%description -l es
Links es un browser WWW modo texto, similar al Lynx. El links muestra
tablas, hace baja archivos en segundo plano, y usa conexiones HTTP/1.1
keepalive.

%description -l pl
Links jest przegldark WWW, na pierwszy rzut oka podobn do Lynksa,
ale mimo wszystko inn:

- renderuje tabelki i ramki,
- wywietla kolory zgodnie z definicjami w ogldanej stronie HTML,
- uywa opuszczanego menu (jak w Midnight Commanderze),
- moe ciga pliki w tle.

%{?with_graphics:Ta wersja moe pracowa w trybie graficznym.}
%{?with_javascript:Ta wersja obsuguje JavaScript.}

Links-hacked jest oparty na kodzie links2 i elinksa.

%description -l pt_BR
Links  um browser WWW modo texto, similar ao Lynx. O Links exibe
tabelas, faz baixa arquivos em segundo plano, e usa as conexes
HTTP/1.1 keepalive.

%description -l ru
Links -   WWW ,      Lynx,
  :

-    () ,
-      HTML ,
-    (  Midnight Commander),
-     .

%description -l uk
Links -   WWW ,      Lynx, 
 צͦ צ :

- צ æ  () ,
- դ     HTML Ҧæ,
- դ ަ  (  Midnight Commander),
-     Φ.

%prep
%setup -q -n %{name} -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -rf autom4te.cache

cd intl
./gen-intl

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--program-suffix=h \
	%{?with_graphics:--enable-graphics} \
	%{?with_javascript:--enable-javascript} \
	%{!?with_svga:--without-svgalib} \
	%{!?with_x:--without-x} \
	%{!?with_fb:--without-fb} \
	%{!?with_pmshell:--without-pmshell} \
	%{!?with_atheos:--without-atheos} \
	%{!?with_directfb:--without-directfb}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README SITES TODO docs/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: links-hacked.spec,v $
Revision 1.26.2.1  2007/03/09 14:42:41  hawk
- release 7 (DirectFB 1.0.0 rebuild)

Revision 1.26  2006/04/05 23:44:24  hawk
- release 6 (rebuild with new DirectFB)

Revision 1.25  2005/01/15 18:04:18  qboosh
- added en-fix,pl-update patches; release 5

Revision 1.24  2005/01/11 21:47:37  qboosh
- gpm-friendly Source URLs

Revision 1.23  2004/12/11 00:01:41  ankry
- rel. 4

Revision 1.22  2004/12/10 09:56:48  ankry
- BR: bzip2-devel

Revision 1.21  2004/10/30 08:33:33  pluto
- spaces -> tab.

Revision 1.20  2004/10/13 14:41:12  qboosh
- removed png-segv patch, require bugfixed libpng; release 3

Revision 1.19  2004/10/08 18:04:39  havner
- links-hacked-png-segv.patch

Revision 1.18  2004/10/06 10:16:54  qboosh
- one libpng-devel BR is enough

Revision 1.17  2004/09/18 04:49:51  havner
- BR: libpng
- rel 2, try to rebuild, segfaults on new libpng

Revision 1.16  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.15  2004/05/04 15:37:13  pluto
- gcc 3.4 fixes.

Revision 1.14  2004/03/19 23:46:29  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.13  2004/02/15 17:55:56  qboosh
- fixed ac/am issues, switched to desktopdir

Revision 1.12  2004/02/14 20:59:29  eothane
- updated to 031220, new bcond style

Revision 1.11  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.10  2003/09/30 20:18:26  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.9  2003/08/13 18:30:02  malekith
- fix bcond syntax

Revision 1.8  2003/07/20 23:33:21  qboosh
- up to 030709
- updated ac25x,js-Date-getTime,js-submit-nodefer,suffix patches
- updated etc_dir for current policy (s/ETC_DIR/HOME_ETC/, leave dots)

Revision 1.7  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.6  2003/05/28 12:59:35  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/07 13:06:38  juandon
- added suffix patch

Revision 1.3  2003/04/07 12:54:42  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.2  2003/03/18 15:31:56  juandon
- removed BR: ncurses-devel
- fix first line of spec

Revision 1.1  2003/03/18 07:36:52  juandon
- initial release based on links2.spec
